%define        distroname                  openmamba
%define        default_browser_homepage    http://openmamba.org

%define        testing                     0

%define        firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define        majversion                  %(echo %version | cut -d. -f 1-2)
%define        xulrunner_ver               %(echo %version | cut -d. -f 1)
%define        firefox_internal_version    %(echo %version | cut -d. -f1)
%define        firefoxappdir               %{_libdir}/firefox-%{firefox_internal_version}
%define        firefoxsdkdir               %{_libdir}/firefox-devel-%{firefox_internal_version}
%define        firefoxincludedir           %{_includedir}/firefox-%{version}
#%define        mozilla_version             central
%define        mozilla_version             release
#% define        source_dir                  mozilla-%{mozilla_version}

Name:          firefox
Version:       44.0.2
Release:       1mamba
Epoch:         1
Summary:       The next generation browsing technology from mozilla.org
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.mozilla.org/firefox
Source0:       https://ftp.mozilla.org/pub/firefox/releases/%{version}/source/firefox-%{version}.source.tar.xz
# langpack got with
# sh firefox-autoupdate %{version}
Source1:       firefox-%{version}-langpacks.tar.bz2
Source2:       mozilla-firefox.desktop
Source3:       firefox.png
Source4:       mozilla-wrapper
Source5:       48278-firefox_mond.png
Source7:       mozilla-firefox-safemode.desktop
Source8:       firefox-autoupdate
Source9:       firefox-17.0-script
Source10:      firefox-openmamba-bookmarks-html
Patch0:        firefox-4.0-version.patch
Patch1:        firefox-4.0-jemalloc.patch
Patch2:        firefox-4.0-build-throw.patch
Patch3:        firefox-4.0-disable-checkupdates.patch
Patch4:        firefox-4.0-01-default.patch
Patch5:        xulrunner-2.0-os2cc.patch
Patch6:        firefox-7.0-cache-build.patch
Patch7:        firefox-36.0.3-fix-build-upstream.patch
Patch8:        firefox-39.0-openmamba-prefs.patch
Patch9:        firefox-42.0-build-add-freetype-system-wrapper.patch
Patch10:       firefox-43.0.4-fix-missing-PR_snprint.patch
License:       GPL, LGPL, MPL 1.1
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libalsa-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libjpeg-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
#BuildRequires: xulrunner-devel = %{version}
BuildRequires: GConf-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglitz-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libICE-devel
BuildRequires: libIDL-devel
BuildRequires: libSM-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libcurl-devel
BuildRequires: libz-devel
#BuildRequires: mozldap-devel
BuildRequires: pkgconfig
BuildRequires: libXext-devel
BuildRequires: xorg-proto-devel
BuildRequires: java-gcj-compat
BuildRequires: java-gcj-compat-runtime
BuildRequires: libpthread-stubs-devel
BuildRequires: glibc
BuildRequires: doxygen
BuildRequires: zip
BuildRequires: unzip
BuildRequires: bash
BuildRequires: yasm
#Requires:      xulrunner = %{version}
Provides:      xulrunner
Obsoletes:     xulrunner
BuildRoot:     %{_tmppath}/firefox-%{version}-root

%description
Mofilla Firefox is the next generation browsing technology from mozilla.org.

%package devel
Summary:       Devel files for Mozilla Firefox
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      xulrunner-devel
Obsoletes:     xulrunner-devel

%description devel
Mofilla Firefox is the next generation browsing technology from mozilla.org.
This package contains static libraries and header files need for development.

%prep
%setup -q
#-D -T
#:<< ___EOF
#cd %{source_dir}

# See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20297
#%if "%{_target_cpu}" != "i586"
#%patch2 -p0 -b .visibility
#%endif

#sed -i "s,LIBDIR,%{_libdir}," mozilla-%{mozilla_version}/build/unix/mozilla.in

sed -e 's|__RPM_VERSION_INTERNAL__|%{firefox_internal_version}|' %{PATCH0} | patch -p0
#%patch1 -p0
#%patch2 -p0
#%patch3 -p0
#%patch4 -p0
%patch5 -p1 -b .os2cc
#%patch6 -p2
#%patch7 -p1
%patch8 -p1
#%patch9 -p1
#%patch10 -p1
#% define _use_internal_dependency_generator 0
#% define __find_provides %{_builddir}/firefox-%{version}/%{source_dir}/find_provides.sh
#
#cat > %{_builddir}/firefox-%{version}/%{source_dir}/find_provides.sh <<_EOF
##! /bin/sh
#grep -v %{buildroot}%{_libdir}/firefox- | \
#%{_prefix}/lib/rpm/find-provides %{buildroot} %{_target_cpu}
#_EOF
#chmod +x %{_builddir}/firefox-%{version}/%{source_dir}/find_provides.sh
#
#% define __find_requires %{_builddir}/firefox-%{version}/%{source_dir}/find_requires.sh
#cat > %{_builddir}/firefox-%{version}/%{source_dir}/find_requires.sh <<_EOF
##! /bin/sh
#%{_prefix}/lib/rpm/find-requires %{buildroot} %{_target_cpu} 2>/dev/null |
#while read line; do
#   [ ! -f %{buildroot}%{firefoxappdir}/\$line ] && echo "\$line"
#done
#_EOF
#chmod +x %{_builddir}/firefox-%{version}/%{source_dir}/find_requires.sh

#___EOF

%build
#:<< ___EOF
mkdir -p build
cd build
ln -sf ../configure configure

export LDFLAGS='-lX11 -lXrender' PYTHON=%{__python}
export MOZ_PHOENIX="1"
export BUILD_OFFICIAL="1"
export MOZILLA_OFFICIAL="1"
../configure \
  --build=%{_build} \
  --host=%{_host} \
  --target=%{_target_platform} \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --disable-elf-hack \
  --enable-system-cairo \
  --with-system-libxul \
  --with-system-jpeg \
  --with-system-zlib \
  --with-system-png \
  --with-system-mng \
  --with-system-nspr \
  --with-system-nss \
  --with-x \
  --enable-canvas \
  --enable-svg \
  --enable-svg-renderer=cairo \
  --with-pthreads \
  --with-java-bin-path=%{_bindir} \
  --enable-default-toolkit=cairo-gtk2  \
  --with-qtdir=%{_qt3_prefix} \
  --enable-ldap \
  --enable-application=browser \
  --disable-calendar \
  --disable-composer \
  --disable-mailnews \
  --with-embedding-profile=default \
  --with-default-mozilla-five-home=%{firefoxappdir} \
  --with-user-appdir=.firefox \
  --with-distribution-id="%{distroname}" \
  --disable-freetype2 \
  --disable-xprint \
  --enable-pango \
  --enable-crypto \
  --enable-single-profile \
  --disable-profilesharing \
  --enable-accessibility \
  --enable-xinerama \
  --enable-xft \
  --enable-extensions=default \
  --disable-installer \
  --enable-reorder \
  --enable-optimize \
  --disable-debug \
  --disable-tests \
  --disable-strip \
  --disable-pedantic \
  --enable-jsd \
  --enable-necko-protocols=all \
%if %{testing}
  --enable-image-decoders=all \
  --enable-image-encoders=all \
%endif
  --enable-storage \
  --disable-necko-wifi \
  --enable-official-branding \
  --enable-startup-notification \
  --enable-chrome-format=omni \
  --enable-libnotify \
  --enable-gio \
  --disable-gnomevfs

#  --disable-logging \
# 	--with-system-mozldap \   --program-suffix=4

#___EOF

%ifarch ppc
%define makeflags -j1
%else
%define makeflags %{?_smp_mflags}
%endif

%make %{makeflags} MOZ_SERVICES_SYNC="1"
#___EOF

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd build

cat > dist/bin/browser/chrome/en-US/locale/branding/browserconfig.properties << EOF
browser.startup.homepage=%{default_browser_homepage}
browser.startup.homepage_reset=%{default_browser_homepage}
EOF

cat > ../modules/libpref/init/all-openmamba.js  << _EOF
pref("app.update.auto", false);
pref("app.update.enabled", false);
pref("app.update.autoInstallEnabled", false);
pref("browser.backspace_action",            2);
pref("browser.display.use_system_colors",   true);
pref("browser.download.folderList",         1);
pref("browser.link.open_external",          3);
pref("browser.shell.checkDefaultBrowser",   false);
pref("general.smoothScroll",                true);
pref("general.useragent.vendor", "openmamba");
pref("general.useragent.vendorSub", "%{version}-%{release}");
pref("intl.locale.matchOS", true);
_EOF

sed -i -e 's|@BINPATH@/browser/@PREF_DIR@/firefox.js|@BINPATH@/browser/@PREF_DIR@/all-openmamba.js\n&|' \
   ../browser/installer/package-manifest.in

cp -p %{SOURCE10} dist/bin/browser/defaults/profile/bookmarks.html

cat > dist/bin/browser/defaults/preferences/firefox-l10n.js << _EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
_EOF

%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor mozilla --dir %{buildroot}%{_datadir}/applications %{SOURCE2}
desktop-file-install --vendor mozilla --dir %{buildroot}%{_datadir}/applications %{SOURCE7}

# install firefox icon

for i in 16 22 24 32 48 256; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
  convert -geometry ${i}x${i} ../browser/branding/official/default${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/firefox.png
done

#rm -f %{buildroot}%{_bindir}/firefox
#cat %{SOURCE9} | sed -e 's/FIREFOX_VERSION/%{firefox_internal_version}/g' -e 's,LIBDIR,%{_libdir},g' \
#  | %{__sed} -e "s,XULRUNNER_DIRECTORY,$(pkg-config --variable=libdir libxul),g" > \
#    %{buildroot}%{_bindir}/firefox
#
#chmod 755 %{buildroot}%{_bindir}/firefox

install -pm 644 ../LICENSE %{buildroot}%{firefoxappdir}/

rm -rf %{buildroot}%{firefoxappdir}/firefox
ln -s firefox-bin %{buildroot}%{firefoxappdir}/firefox
#ln -s %{xul_lib_dir} %{buildroot}%{firefoxappdir}/xulrunner

# install langpacks

install -d %{buildroot}%{firefoxappdir}/browser/extensions

install -d firefox-langpacks && tar -C firefox-langpacks -xjf %{S:1}

find firefox-langpacks/ -type f -name \*.xpi | \
while read filename; do
  lang=$(basename $filename .xpi)
  extensiondir="\
%{buildroot}%{firefoxappdir}/browser/extensions/langpack-$lang@firefox.mozilla.org"
  install -d $extensiondir
  unzip $filename -d $extensiondir
  sed -i "\
    s|\(browser.startup.homepage=\).*|\1%{default_browser_homepage}|
    s|\(browser.startup.homepage_reset=\).*|\1%{default_browser_homepage}|" \
      $extensiondir/browser/chrome/$lang/locale/branding/browserconfig.properties
  find $extensiondir -type f -exec chmod 644 {} \;
done

touch %{buildroot}%{firefoxappdir}/browser/components/compreg.dat
touch %{buildroot}%{firefoxappdir}/browser/components/xpti.dat

# install the needed conf file for ldconfig
install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{firefoxappdir}" > \
   %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf


# todo
# %{__mkdir_p} %{buildroot}%{_datadir}/mozilla/extensions/%{firefox_app_id}
# %{__mkdir_p} %{buildroot}%{_libdir}/mozilla/extensions/%{firefox_app_id}

rm -rf %{buildroot}%{firefoxappdir}/removed-files

install -d -m0755 %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/mozilla-plugin.pc << _EOF
prefix=%{_prefix}
sdkdir=%{firefoxsdkdir}
includedir=%{firefoxincludedir}

Name: Mozilla Plug-In API
Description: Mozilla Plug-In API
Version: %{version}

Cflags: -I\${includedir} -DXP_UNIX
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
update-desktop-database &> /dev/null || :
if [ $1 -eq 1 ]; then
   if [ -w /etc/ld.so.conf ]; then
      if [ -d /etc/ld.so.conf.d ]; then
         sed -i "\|^/usr/lib/firefox-[0-9\.]*|d" /etc/ld.so.conf
      else
         grep -q "^%{firefoxappdir}$" /etc/ld.so.conf ||
            echo "%{firefoxappdir}" >> /etc/ld.so.conf
      fi
   fi
fi
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig
exit 0

%preun
if [ $1 -eq 0 ]; then
   if [ -w /etc/ld.so.conf ]; then
      sed -i "\|^/usr/lib/firefox-[0-9\.]*|d" /etc/ld.so.conf
   fi
   rm -fr %{firefoxappdir}/
fi
/sbin/ldconfig
exit 0

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_bindir}/firefox
%{_datadir}/applications/mozilla-firefox.desktop
%{_datadir}/applications/mozilla-firefox-safemode.desktop
%{_datadir}/icons/hicolor/*x*/apps/firefox*.png
%dir %{firefoxappdir}
%{firefoxappdir}/*.ini
%{firefoxappdir}/firefox
%{firefoxappdir}/run-mozilla.sh
%{firefoxappdir}/browser/chrome.manifest
%{firefoxappdir}/browser/omni.ja
%{firefoxappdir}/LICENSE
%attr(644, root, root) %{firefoxappdir}/browser/blocklist.xml
%dir %{firefoxappdir}/browser
%dir %{firefoxappdir}/browser/components
%{firefoxappdir}/browser/components/*.so
%{firefoxappdir}/browser/components/*.manifest
%ghost %{firefoxappdir}/browser/components/compreg.dat
%ghost %{firefoxappdir}/browser/components/xpti.dat
%dir %{firefoxappdir}/browser/chrome
%dir %{firefoxappdir}/browser/chrome/icons
%dir %{firefoxappdir}/browser/chrome/icons/default
%{firefoxappdir}/browser/crashreporter-override.ini
%attr(644, root, root) %{firefoxappdir}/browser/chrome/icons/default/default*.png
#%{firefoxappdir}/defaults
%dir %{firefoxappdir}/browser/extensions
%dir %{firefoxappdir}/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
%{firefoxappdir}/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}/*
%exclude %{firefoxappdir}/browser/extensions/langpack-*
%dir %{firefoxappdir}/browser/icons
%{firefoxappdir}/browser/icons/*.png
#%dir %{firefoxappdir}/browser/searchplugins
#%{firefoxappdir}/browser/searchplugins/*
%{firefoxappdir}/firefox-bin
%{firefoxappdir}/webapprt-stub
%dir %{firefoxappdir}/webapprt
%{firefoxappdir}/webapprt/omni.ja
%{firefoxappdir}/webapprt/webapprt.ini
#%dir %{firefoxappdir}/modules
#%dir %{firefoxappdir}/modules/services-aitc
#%{firefoxappdir}/modules/services-aitc/.mkdir.done
#%dir %{firefoxappdir}/modules/services-common
#%{firefoxappdir}/modules/services-common/.mkdir.done
#%dir %{firefoxappdir}/modules/services-crypto
#%{firefoxappdir}/modules/services-crypto/.mkdir.done
#%dir %{firefoxappdir}/modules/services-notifications
#%{firefoxappdir}/modules/services-notifications/.mkdir.done
#%dir %{firefoxappdir}/modules/services-sync
#%{firefoxappdir}/modules/services-sync/.mkdir.done
#%dir %{firefoxappdir}/modules/services-sync/engines
#%{firefoxappdir}/modules/services-sync/engines/.mkdir.done
#%dir %{firefoxappdir}/modules/sessionstore
#%{firefoxappdir}/modules/sessionstore/.mkdir.done
%{_libdir}/firefox-*/chrome.manifest
%dir %{_libdir}/firefox-*/components
%{_libdir}/firefox-*/components/*
%{_libdir}/firefox-*/crashreporter
%{_libdir}/firefox-*/defaults/pref/channel-prefs.js
%{_libdir}/firefox-*/dependentlibs.list
%dir %{_libdir}/firefox-*/dictionaries
%{_libdir}/firefox-*/dictionaries/*
%dir %{_libdir}/firefox-*/gmp-clearkey
%dir %{_libdir}/firefox-*/gmp-clearkey/0.1
%{_libdir}/firefox-*/gmp-clearkey/0.1/*
%{_libdir}/firefox-*/Throbber-small.gif
%{_libdir}/firefox-*/icons/updater.png
#%{_libdir}/firefox-*/libmozalloc.so
%{_libdir}/firefox-*/liblgpllibs.so
%{_libdir}/firefox-*/libmozsqlite3.so
%{_libdir}/firefox-*/libxul.so
%{_libdir}/firefox-*/omni.ja
%{_libdir}/firefox-*/plugin-container
%{_libdir}/firefox-*/updater
%dir %{_datadir}/idl/firefox-*
%{_datadir}/idl/firefox-*/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/firefox-*
%{_includedir}/firefox-*/*
%dir %{_libdir}/firefox-devel-*
%{_libdir}/firefox-devel-*/*
%{_libdir}/pkgconfig/mozilla-plugin.pc

%package i18n-ach
Summary:       Acholi language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ach
Acholi language support for Firefox.

%files i18n-ach
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ach@firefox.mozilla.org/

%package i18n-af
Summary:       Afrikaans language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-af

%description i18n-af
Afrikaans language support for Firefox.

%files i18n-af
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-af@firefox.mozilla.org/

#%package i18n-ak
#Summary:       Akan language support for Firefox
#Group:         System/Internationalization
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
##Requires:      hunspell-ak

#%description i18n-ak
#Akan language support for Firefox.

#%files i18n-ak
#%defattr(-,root,root)
#%{firefoxappdir}/extensions/langpack-ak@firefox.mozilla.org/

%package i18n-an
Summary:       Aragonese language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-an
Aragonese language support for Firefox.

%files i18n-an
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-an@firefox.mozilla.org/

%package i18n-ar
Summary:       Arabic language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-ar

%description i18n-ar
Arabic language support for Firefox.

%files i18n-ar
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ar@firefox.mozilla.org/

%package i18n-ast
Summary:       Asturian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ast
Asturian language support for Firefox.

%files i18n-ast
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ast@firefox.mozilla.org/

%package i18n-as
Summary:       Assamese language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-as
Assamese language support for Firefox.

%files i18n-as
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-as@firefox.mozilla.org/

%package i18n-az
Summary:       Azerbaijani language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-az
Azerbaijani language support for Firefox.

%files i18n-az
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-az@firefox.mozilla.org/

%package i18n-be
Summary:       Belarusian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-be
Belarusian language support for Firefox.

%files i18n-be
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-be@firefox.mozilla.org/

%package i18n-bg
Summary:       Bulgarian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-bg

%description i18n-bg
Bulgarian language support for Firefox.

%files i18n-bg
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-bg@firefox.mozilla.org/

%package i18n-bn-BD
Summary:       Bengali (Bangladesh) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-bn-BD
Bengali (Bangladesh) language support for Firefox.

%files i18n-bn-BD
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-bn-BD@firefox.mozilla.org/

%package i18n-bn-IN
Summary:       Bengali (India) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-bn-IN
Bengali (India) language support for Firefox.

%files i18n-bn-IN
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-bn-IN@firefox.mozilla.org/

%package i18n-br
Summary:       Breton language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-br
Breton language support for Firefox.

%files i18n-br
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-br@firefox.mozilla.org/

%package i18n-bs
Summary:       Bosanski language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-bs
Bosanski language support for Firefox.

%files i18n-bs
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-bs@firefox.mozilla.org/

%package i18n-ca
Summary:       Catalan language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ca
Catalan language support for Firefox.

%files i18n-ca
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ca@firefox.mozilla.org/

%package i18n-cs
Summary:       Czech language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-cs
Czech language support for Firefox.

%files i18n-cs
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-cs@firefox.mozilla.org/

#%package i18n-csb
#Summary:       Kashubian language support for Firefox
#Group:         System/Internationalization
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

#%description i18n-csb
#Kashubian language support for Firefox.

#%files i18n-csb
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-csb@firefox.mozilla.org/

%package i18n-cy
Summary:       Cymraeg (GB) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-cy
Cymraeg (GB) language support for Firefox.

%files i18n-cy
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-cy@firefox.mozilla.org/

%package i18n-da
Summary:       Danish language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-da
Danish language support for Firefox.

%files i18n-da
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-da@firefox.mozilla.org/

%package i18n-de
Summary:       German language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-de
German language support for Firefox.

%files i18n-de
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-de@firefox.mozilla.org/

%package i18n-dsb
Summary:       Lower Sorbian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-dsb
Lower Sorbian language support for Firefox.

%files i18n-dsb
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-dsb@firefox.mozilla.org/

%package i18n-el
Summary:       Greek language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-el
Greek language support for Firefox.

%files i18n-el
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-el@firefox.mozilla.org/

%package i18n-en-GB
Summary:       English (British) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-en

%description i18n-en-GB
English (British) language support for Firefox.

%files i18n-en-GB
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-en-GB@firefox.mozilla.org/

%package i18n-en-US
Summary:       English (USA) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-en

%description i18n-en-US
English (USA) language support for Firefox.

%files i18n-en-US
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-en-US@firefox.mozilla.org/

%package i18n-en-ZA
Summary:       English (South Africa) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-en

%description i18n-en-ZA
English (South Africa) language support for Firefox.

%files i18n-en-ZA
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-en-ZA@firefox.mozilla.org/

%package i18n-eo
Summary:       Esperanto language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-eo
Esperanto language support for Firefox.

%files i18n-eo
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-eo@firefox.mozilla.org/

%package i18n-es-AR
Summary:       Spanish (Latin American) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-es

%description i18n-es-AR
Spanish (Latin American) language support for Firefox.

%files i18n-es-AR
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-es-AR@firefox.mozilla.org/

%package i18n-es-CL
Summary:       Spanish (Chile) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-es

%description i18n-es-CL
Spanish (Chile) language support for Firefox.

%files i18n-es-CL
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-es-CL@firefox.mozilla.org/

%package i18n-es-ES
Summary:       Spanish language support for Firefox
Group:         System/Internationalization
Provides:      %{name}-i18n-es = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-es
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-es

%description i18n-es-ES
Spanish language support for Firefox.

%files i18n-es-ES
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-es-ES@firefox.mozilla.org/

%package i18n-es-MX
Summary:       Spanish (México) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-es

%description i18n-es-MX
Spanish (México) language support for Firefox.

%files i18n-es-MX
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-es-MX@firefox.mozilla.org/

%package i18n-et
Summary:       Estonian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-et
Estonian language support for Firefox.

%files i18n-et
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-et@firefox.mozilla.org/

%package i18n-eu
Summary:       Basque language support for Firefox
Group:         System/Internationalization
Provides:      %{name}-i18n-eu-ES = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-eu-ES
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-eu
Basque language support for Firefox.

%files i18n-eu
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-eu@firefox.mozilla.org/

%package i18n-fa
Summary:       ‪Persian - Farsi (IR) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-fa
‪Persian  - Farsi (IR) language support for Firefox.

%files i18n-fa
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-fa@firefox.mozilla.org/

%package i18n-ff
Summary:       Fulah language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ff
Fulah language support for Firefox.

%files i18n-ff
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ff@firefox.mozilla.org/

%package i18n-fi
Summary:       Finnish language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-fi
Finnish language support for Firefox.

%files i18n-fi
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-fi@firefox.mozilla.org/

%package i18n-fr
Summary:       French language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-fr
French language support for Firefox.

%files i18n-fr
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-fr@firefox.mozilla.org/

%package i18n-fy-NL
Summary:       Frisian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-fy
Provides:      %{name}-i18n-fy = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-fy-NL
Frisian language support for Firefox.

%files i18n-fy-NL
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-fy-NL@firefox.mozilla.org/

%package i18n-ga-IE
Summary:       Irish language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ga-IE
Irish language support for Firefox.

%files i18n-ga-IE
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ga-IE@firefox.mozilla.org/

%package i18n-gd
Summary:       Scottish Gaelic language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-gd
Scottish Gaelic language support for Firefox.

%files i18n-gd
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-gd@firefox.mozilla.org/

%package i18n-gl
Summary:       Galician (Galiza) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-gl
Galician (Galiza) language support for Firefox.

%files i18n-gl
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-gl@firefox.mozilla.org/

%package i18n-gu-IN
Summary:       Gujarati language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-gu-IN
Gujarati language support for Firefox.

%files i18n-gu-IN
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-gu-IN@firefox.mozilla.org/

%package i18n-he
Summary:       Hebrew language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-he

%description i18n-he
Hebrew language support for Firefox.

%files i18n-he
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-he@firefox.mozilla.org/

%package i18n-hi-IN
Summary:       Hindi language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-hi-IN
Hindi language support for Firefox.

%files i18n-hi-IN
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-hi-IN@firefox.mozilla.org/

%package i18n-hr
Summary:       Hrvatski (HR) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-hr
Hrvatski (HR) language support for Firefox.

%files i18n-hr
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-hr@firefox.mozilla.org/

%package i18n-hsb
Summary:       Upper Sorbian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-hsb
Upper Sorbian language support for Firefox.

%files i18n-hsb
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-hsb@firefox.mozilla.org/

%package i18n-hu
Summary:       Hungarian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-hu
Hungarian language support for Firefox.

%files i18n-hu
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-hu@firefox.mozilla.org/

%package i18n-hy-AM
Summary:       Armenian (AM) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-hy-AM
Armenian (AM) language support for Firefox.

%files i18n-hy-AM
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-hy-AM@firefox.mozilla.org/

%package i18n-id
Summary:       Bahasa Indonesia (ID) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-id
Bahasa Indonesia (ID) language support for Firefox.

%files i18n-id
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-id@firefox.mozilla.org/

%package i18n-is
Summary:       Icelandic (IS) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-is
Icelandic (IS) language support for Firefox.

%files i18n-is
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-is@firefox.mozilla.org/

%package i18n-it
Summary:       Italian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-it

%description i18n-it
Italian language support for Firefox.

%files i18n-it
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-it@firefox.mozilla.org/

%package i18n-ja
Summary:       Japanese language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ja
Japanese language support for Firefox.

%files i18n-ja
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ja@firefox.mozilla.org/

#%package i18n-ka
#Summary:       Georgian language support for Firefox
#Group:         System/Internationalization
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

#%description i18n-ka
#Georgian language support for Firefox.

#%files i18n-ka
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-ka@firefox.mozilla.org/

%package i18n-kk
Summary:       Kazakh (KZ) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-kk
Kazakh (KZ) language support for Firefox.

%files i18n-kk
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-kk@firefox.mozilla.org/

%package i18n-km
Summary:       Khmer language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-km
Khmer language support for Firefox.

%files i18n-km
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-km@firefox.mozilla.org/

%package i18n-kn
Summary:       Kannada (IN) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-kn
Kannada (IN) language support for Firefox.

%files i18n-kn
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-kn@firefox.mozilla.org/

%package i18n-ko
Summary:       Korean language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ko
Korean language support for Firefox.

%files i18n-ko
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ko@firefox.mozilla.org/

%package i18n-ku
Summary:       Kurdish language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ku
Kurdish language support for Firefox.

#%files i18n-ku
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-ku@firefox.mozilla.org/

%package i18n-lg
Summary:       Luganda language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-lg
Luganda language support for Firefox.

#%files i18n-lg
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-lg@firefox.mozilla.org/

%package i18n-lij
Summary:       Ligure (Zenéize) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-lij
Ligure (Zenéize) language support for Firefox.

%files i18n-lij
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-lij@firefox.mozilla.org/

%package i18n-lt
Summary:       Lithuanian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-lt
Lithuanian language support for Firefox.

%files i18n-lt
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-lt@firefox.mozilla.org/

%package i18n-lv
Summary:       Latviešu (LV) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-lv
Latviešu (LV) language support for Firefox.

%files i18n-lv
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-lv@firefox.mozilla.org/

%package i18n-mai
Summary:       Maithili language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-mai
Maithili language support for Firefox.

%files i18n-mai
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-mai@firefox.mozilla.org/

%package i18n-mk
Summary:       Macedonian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-mk
Macedonian language support for Firefox.

%files i18n-mk
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-mk@firefox.mozilla.org/

%package i18n-ml
Summary:       Malayalam (IN) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ml
Malayalam (IN) language support for Firefox.

%files i18n-ml
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ml@firefox.mozilla.org/

#%package i18n-mn
#Summary:       Mongolian language support for Firefox
#Group:         System/Internationalization
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

#%description i18n-mn
#Mongolian language support for Firefox.

#%files i18n-mn
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-mn@firefox.mozilla.org/

%package i18n-mr
Summary:       Marathi language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-mr
Marathi language support for Firefox.

%files i18n-mr
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-mr@firefox.mozilla.org/

%package i18n-ms
Summary:       Malay language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ms
Marathi language support for Firefox.

%files i18n-ms
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ms@firefox.mozilla.org/

%package i18n-nb-NO
Summary:       Norwegian Bokmål language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-nb
Provides:      %{name}-i18n-nb = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-nb-NO
Norwegian Bokmål language support for Firefox.

%files i18n-nb-NO
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-nb-NO@firefox.mozilla.org/

%package i18n-nl
Summary:       Dutch language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-nl
Dutch language support for Firefox.

%files i18n-nl
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-nl@firefox.mozilla.org/

%package i18n-nn-NO
Summary:       Norwegian Nynorsk language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-nn
Provides:      %{name}-i18n-nn = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-nn-NO
Norwegian Nynorsk language support for Firefox.

%files i18n-nn-NO
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-nn-NO@firefox.mozilla.org/

%package i18n-nso
Summary:       Sesotho sa lebowa language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-nso
Sesotho sa lebowa language support for Firefox.

#%files i18n-nso
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-nso@firefox.mozilla.org/

#%package i18n-oc
#Summary:       Occitan language support for Firefox
#Group:         System/Internationalization
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Provides:      firefox3-i18n-oc
#Obsoletes:     firefox3-i18n-oc

#%description i18n-oc
#Occitan language support for Firefox.

#%files i18n-oc
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-oc@firefox.mozilla.org/

%package i18n-or
Summary:       Oriya (OR) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-or
Oriya (OR) language support for Firefox.

%files i18n-or
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-or@firefox.mozilla.org/

%package i18n-pa-IN
Summary:       Punjabi (IN) language support for Firefox
Group:         System/Internationalization
Provides:      firefox-i18n-pa-IN = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-pa
Provides:      %{name}-i18n-pa = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-pa-IN
Punjabi (IN) language support for Firefox.

%files i18n-pa-IN
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-pa-IN@firefox.mozilla.org/

%package i18n-pl
Summary:       Polish language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-pl
Polish language support for Firefox.

%files i18n-pl
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-pl@firefox.mozilla.org/

%package i18n-pt-BR
Summary:       Portuguese (Brazilian) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-pt-BR
Portuguese (Brazilian) language support for Firefox.

%files i18n-pt-BR
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-pt-BR@firefox.mozilla.org/

%package i18n-pt-PT
Summary:       Portuguese language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-pt
Provides:      %{name}-i18n-pt = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-pt-PT
Portuguese language support for Firefox.

%files i18n-pt-PT
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-pt-PT@firefox.mozilla.org/

%package i18n-rm
Summary:       Rumantsch language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-rm
Rumantsch language support for Firefox.

%files i18n-rm
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-rm@firefox.mozilla.org/

%package i18n-ro
Summary:       Romanian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ro
Romanian language support for Firefox.

%files i18n-ro
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ro@firefox.mozilla.org/

%package i18n-ru
Summary:       Russian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ru
Russian language support for Firefox.

%files i18n-ru
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ru@firefox.mozilla.org/

%package i18n-si
Summary:       Sinhala (si-LK) language support for Firefox  (BETA)
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-si
Sinhala (si-LK) language support for Firefox.

%files i18n-si
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-si@firefox.mozilla.org/

%package i18n-sk
Summary:       Slovak language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-sk
Slovak language support for Firefox.

%files i18n-sk
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-sk@firefox.mozilla.org/

%package i18n-sl
Summary:       Slovenian language support for Firefox (BETA)
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-sl
Slovenian language support for Firefox.

%files i18n-sl
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-sl@firefox.mozilla.org/

%package i18n-son
Summary:       Soŋay language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-son
Soŋay language support for Firefox.

%files i18n-son
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-son@firefox.mozilla.org/

%package i18n-sq
Summary:       Albanian language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-sq
Albanian language support for Firefox.

%files i18n-sq
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-sq@firefox.mozilla.org/

%package i18n-sr
Summary:       Српски (sr) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-sr
Српски (sr) language support for Firefox.

%files i18n-sr
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-sr@firefox.mozilla.org/

%package i18n-sv-SE
Summary:       Swedish language support for Firefox
Group:         System/Internationalization
Provides:      firefox-i18n-sv-SE = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-i18n-sv
Provides:      %{name}-i18n-sv = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-sv-SE
Swedish language support for Firefox.

%files i18n-sv-SE
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-sv-SE@firefox.mozilla.org/

%package i18n-ta-LK
Summary:       Tamil (Sri Lanka) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ta-LK
Tamil (Sri Lanka) language support for Firefox.

#%files i18n-ta-LK
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-ta-LK@firefox.mozilla.org/

%package i18n-ta
Summary:       Tamil language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-ta
Tamil language support for Firefox.

%files i18n-ta
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-ta@firefox.mozilla.org/

%package i18n-te
Summary:       Telugu (IN) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-te
Telugu (IN) language support for Firefox.

%files i18n-te
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-te@firefox.mozilla.org/

%package i18n-th
Summary:       Thai Language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-th
Thai Language support for Firefox.

%files i18n-th
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-th@firefox.mozilla.org/

%package i18n-tr
Summary:       Turkish language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-tr
Turkish language support for Firefox.

%files i18n-tr
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-tr@firefox.mozilla.org/

%package i18n-uk
Summary:       Ukrainian (UA) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-uk

%description i18n-uk
Ukrainian (UA) language support for Firefox

%files i18n-uk
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-uk@firefox.mozilla.org/

%package i18n-uz
Summary:       Uzbek language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-uk

%description i18n-uz
Uzbek language support for Firefox

%files i18n-uz
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-uz@firefox.mozilla.org/

%package i18n-vi
Summary:       Tiếng Việt (VN) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-vi
Tiếng Việt (VN) language support for Firefox

%files i18n-vi
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-vi@firefox.mozilla.org/

%package i18n-xh
Summary:       Xhosa language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-xh
Xhosa language support for Firefox

%files i18n-xh
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-xh@firefox.mozilla.org/

%package i18n-zh-CN
Summary:       Chinese (Simplified) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-zh-CN
Chinese (Simplified) language support for Firefox.

%files i18n-zh-CN
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-zh-CN@firefox.mozilla.org/

%package i18n-zh-TW
Summary:       Chinese (Traditional) language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description i18n-zh-TW
Chinese (Traditional) language support for Firefox.

%files i18n-zh-TW
%defattr(-,root,root)
%{firefoxappdir}/browser/extensions/langpack-zh-TW@firefox.mozilla.org/

%package i18n-zu
Summary:       Zulu language support for Firefox
Group:         System/Internationalization
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      hunspell-zu

%description i18n-zu
Zulu language support for Firefox.

#%files i18n-zu
#%defattr(-,root,root)
#%{firefoxappdir}/browser/extensions/langpack-zu@firefox.mozilla.org/

%changelog
* Fri Feb 19 2016 Automatic Build System <autodist@mambasoft.it> 44.0.2-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 44.0-2mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 44.0-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 43.0.4-1mamba
- update to 43.0.4

* Sat Oct 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 41.0.1-1mamba
- update to 41.0.1

* Fri Aug 07 2015 Automatic Build System <autodist@mambasoft.it> 39.0.3-1mamba
- automatic version update by autodist

* Fri Jul 03 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 39.0-2mamba
- provide mozilla-plugin.pc

* Fri Jul 03 2015 Automatic Build System <autodist@mambasoft.it> 39.0-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 38.0.6-1mamba
- automatic version update by autodist

* Tue Jun 02 2015 Automatic Build System <autodist@mambasoft.it> 38.0.5-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 38.0.1-1mamba
- automatic version update by autodist

* Tue Apr 21 2015 Automatic Build System <autodist@mambasoft.it> 37.0.2-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 37.0.1-1mamba
- automatic version update by autodist

* Mon Mar 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 36.0.4-2mamba
- disable hiding provides like in xulrunner and obsolete xulrunner
- obsolete xulrunner

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 36.0.4-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 36.0.3-1mamba
- update to 36.0.3

* Sun Oct 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 32.0.3-1mamba
- update to 32.0.3

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 32.0.2-1mamba
- automatic version update by autodist

* Sat Sep 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 32.0.1-1mamba
- update to 32.0.1

* Sat Sep 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 32.0-1mamba
- update to 32.0

* Sun Apr 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 27.0.1-2mamba
- /usr/bin/firefox: don't modify, %{firefoxappdir}/firefox link to firefox-bin not xulrunner

* Sun Mar 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 27.0.1-1mamba
- update to 27.0.1

* Wed Oct 30 2013 Automatic Build System <autodist@mambasoft.it> 25.0-1mamba
- automatic version update by autodist

* Wed Sep 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 17.0.1-2mamba
- require xulrunner
- fixed startup script %{_bindir}/firefox for x86_64

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 17.0.1-1mamba
- automatic version update by autodist

* Wed Nov 21 2012 Automatic Build System <autodist@mambasoft.it> 17.0-1mamba
- automatic version update by autodist

* Sun Oct 28 2012 Automatic Build System <autodist@mambasoft.it> 16.0.2-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 16.0.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 16.0-1mamba
- automatic version update by autodist

* Fri Sep 07 2012 Automatic Build System <autodist@mambasoft.it> 15.0.1-1mamba
- automatic version update by autodist

* Sun Sep 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 15.0-2mamba
- rebuilt with xulrunner 15.0, added buildrequirement for xulrunner-devel >= %{majversion}

* Thu Aug 30 2012 Automatic Build System <autodist@mambasoft.it> 15.0-1mamba
- automatic version update by autodist

* Mon Jul 23 2012 Automatic Build System <autodist@mambasoft.it> 14.0.1-1mamba
- automatic version update by autodist

* Sat Jun 16 2012 Automatic Build System <autodist@mambasoft.it> 13.0.1-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 13.0-1mamba
- automatic version update by autodist

* Tue May 01 2012 Automatic Build System <autodist@mambasoft.it> 12.0-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 11.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-2mamba
- fix icon using official icon for normal and safe-mode desktop entries

* Sat Oct 15 2011 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Fri Sep 09 2011 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Thu Sep 01 2011 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Tue Aug 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0-1mamba
- update to 6.0

* Sun Jul 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0-13mamba
- remove provides and obsoletes for firefox3-* packages to avoid upgrade loop between alternative and main repositories

* Sat Apr 09 2011 Ercole 'ercolinux' Carpanetto 4.0-12mamba
- rebuilt removing hunspell requirements

* Mon Mar 21 2011 gil <puntogil@libero.it> 4.0-11mamba
- update to 4.0

* Sun Mar 20 2011 gil <puntogil@libero.it> 4.0-10mamba
- update to 4.0rc2

* Fri Mar 18 2011 gil <puntogil@libero.it> 4.0-9mamba
- rebuilt with gio support and remove libgnome-vfs support
- enable omni jar support

* Thu Mar 10 2011 gil <puntogil@libero.it> 4.0-8mamba
- update to 4.0rc1

* Fri Feb 25 2011 gil <puntogil@libero.it> 4.0-7mamba
- update to 4.0b12

* Wed Feb 09 2011 gil <puntogil@libero.it> 4.0-6mamba
- update to 4.0b11

* Wed Jan 26 2011 gil <puntogil@libero.it> 4.0-5mamba
- update to 4.0b10

* Fri Jan 14 2011 gil <puntogil@libero.it> 4.0-4mamba
- update to 4.0b9

* Thu Dec 23 2010 gil <puntogil@libero.it> 4.0-3mamba
- update to 4.0b8

* Wed Nov 17 2010 gil <puntogil@libero.it> 4.0-2mamba
- update to 4.0b7

* Mon Oct 04 2010 gil <puntogil@libero.it> 4.0-1mamba
- update to 4.0b6
- rename to firefox replacing firefox 3

* Thu Sep 16 2010 gil <puntogil@libero.it> 3.6.10-1mamba
- update to 3.6.10

* Tue Sep 14 2010 gil <puntogil@libero.it> 3.6.9-1mamba
- update to 3.6.9
- add i18n new packages (Asturian language support)
- edit i18n-or: summary; description

* Mon Sep 13 2010 gil <puntogil@libero.it> 4.0-1mamba
- update to 4.0 (4.0b5)

* Thu Aug 26 2010 gil <puntogil@libero.it> 4.0-1mamba
- update to 4.0 (4.0b4)
- set program name as Firefox 4 in desktop entry
- renamed to legacy firefox4

* Sun Jul 25 2010 gil <puntogil@libero.it> 3.6.8-1mamba
- update to 3.6.8

* Thu Jul 22 2010 gil <puntogil@libero.it> 3.6.7-1mamba
- update to 3.6.7

* Mon Jun 28 2010 gil <puntogil@libero.it> 3.6.6-1mamba
- update to 3.6.6

* Wed Jun 23 2010 gil <puntogil@libero.it> 3.6.4-1mamba
- update to 3.6.4

* Sun Apr 04 2010 gil <puntogil@libero.it> 3.6.3-1mamba
- update to 3.6.3
- edit spec file

* Wed Dec 30 2009 gil <puntogil@libero.it> 3.5.6-2mamba
- rebuilt

* Wed Dec 30 2009 gil <puntogil@libero.it> 3.5.6-1mamba
- update to 3.5.6
- added firefox script (wrapper)
- added %%postun edit %%post scriptlets for update gtk icon cache
- edit configure option: --enable-ldap --with-system-mozldap

* Wed Jul 01 2009 gil <puntogil@libero.it> 3.5-1mamba
- update to 3.5
- added new sub packages (language support) ...

* Sat Jun 13 2009 gil <puntogil@libero.it> 3.0.11-1mamba
- update to 3.0.11

* Tue Apr 28 2009 gil <puntogil@libero.it> 3.0.10-1mamba
- update to 3.0.10

* Wed Apr 22 2009 gil <puntogil@libero.it> 3.0.9-1mamba
- update to 3.0.9

* Thu Apr 02 2009 gil <puntogil@libero.it> 3.0.8-4mamba
- changed icon

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-3mamba
- added safe mode desktop entry

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-2mamba
- rebuilt with xulrunner 1.9.0.8
- don't obsolete firefox-devel (it is obsoleted by xulrunner-devel)

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-1mamba
- automatic update to 3.0.8 by autodist

* Mon Mar 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-2mamba
- rebuilt using xulrunner
- removed --enable-cpp-rtti configuration option to build with system xulrunner
- devel package removed and obsoleted

* Thu Mar 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.7-1mamba
- automatic update to 3.0.7 by autodist

* Wed Mar 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.6-2mamba
- automatic rebuild by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.6-1mamba
- update to 3.0.6

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- automatic update to 3.0.5 by autodist

* Wed Dec 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.4-2mamba
- rename to firefox replacing firefox 2

* Thu Nov 13 2008 gil <puntogil@libero.it> 3.0.4-1mamba
- update to 3.0.4

* Sat Sep 27 2008 gil <puntogil@libero.it> 3.0.3-1mamba
- update to 3.0.3

* Thu Sep 25 2008 gil <puntogil@libero.it> 3.0.2-1mamba
- update to 3.0.2

* Thu Jul 17 2008 gil <puntogil@libero.it> 3.0.1-1mamba
- update to 3.0.1

* Thu Jul 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-3mamba
- fixed i18n provides/obsoletes to avoid conflicts with firefox 2

* Mon Jun 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-2mamba
- set program name as Firefox 3 in desktop entry
- rebuilt with system libnss 3.12

* Wed Jun 18 2008 gil <puntogil@libero.it> 3.0-1mamba
- update to 3.0
- update language packs to version 3.0
- add i18n new packages (Sinhala and Slovenian language support are in beta)
- removed freetype_compile.patch
- add export LDFLAGS and MOZ_PHOENIX
- edit configure options: --enable-necko-protocols=all, --enable-image-encoders=all, --with-embedding-profile=default, --enable-default-toolkit=cairo-gtk2
- new build requirements: libdbus-glib libcurl

* Thu May 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0.14-2mamba
- provide mozilla symlink for some applications launch browser facility
- rebuild with jsd enabled and the venkman extension (for firebug support)

* Fri Apr 18 2008 gil <puntogil@libero.it> 2.0.0.14-1mamba
- update to 2.0.0.14
- update language packs to version 2.0.0.14

* Thu Dec 06 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.11-1mamba
- update to 2.0.0.11
- fixed cairo configure option (replace --with-system-cairo with --enable-system-cairo)

* Wed Nov 14 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.9-1mamba
- security update to 2.0.0.9

* Wed Sep 19 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.7-1mamba
- security update to 2.0.0.7

* Tue Jul 31 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.6-1mamba
- security update to 2.0.0.6

* Wed Jul 18 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.5-1mamba
- security update to 2.0.0.5

* Fri Jun 01 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.4-1mamba
- security update to 2.0.0.4

* Thu Apr 05 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.3-1mamba
- security update to version 2.0.0.3
- own %{_libdir}/firefox-%%{version} subdirectories

* Sun Mar 11 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.2-1qilnx
- security update to version 2.0.0.2
- update language packs to version 2.0.0.2
- added i18n package for Belarusian
- save the configuration needed by ldconfig in /etc/ld.so.conf.d/firefox.conf
- specfile scriptlet reworked
- new build requirement: libpthread-stubs-devel

* Fri Feb 02 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-4qilnx
- added hicolor icon for firefox removed from kde

* Wed Jan 24 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-3qilnx
- fixed typo in the obsoletes tag
- rebuilt with default extensions instead of all ones (this fixes several
  issues reported by lot of users:)

* Wed Jan 17 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-2qilnx
- better (and now working) setup for internationalization
- removed %%post scrips

* Mon Jan 15 2007 Aleph0 <aleph0@openmamba.org> 2.0.0.1-1qilnx
- update to version 2.0.0.1 by autospec
- update language packs to version 2.0.0.1
- update build requirements for the new modular xorg
- build against system nspr, nss, and pango libraries
- %%post scrips slightly modified to support xorg 7

* Tue Oct 24 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0-1qilnx
- update to version 2.0 by autospec

* Wed Jul 12 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.5.0.4-1qilnx
- update to version 1.5.0.4 by autospec
- added patch for ppc building

* Fri May 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.3-2qilnx
- arrrr! Update language pack to 1.5.0.3

* Mon May 08 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.3-1qilnx
- update to version 1.5.0.3 by autospec
- check for plugins in %{_libdir}/mozilla/plugins

* Thu Apr 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.2-2qilnx
- append %{_libdir}/firefox-%%{version} to ld.so.conf

* Wed Apr 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.2-1qilnx
- update to version 1.5.0.2 by autospec

* Wed Feb 08 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.1-2qilnx
- add %%pre and %%post scriptlets to fix the updating process when
  %%{_libdir}/firefox-%%{version}/plugins is a directory

* Mon Feb 06 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5.0.1-1qilnx
- update to version 1.5.0.1 by autospec

* Tue Jan 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-3qilnx
- epoch tag added in all the requirements and prerequirements

* Wed Dec 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-2qilnx
- rebuilt with new configuration options
- new desktop file compatible with kappfinder

* Tue Dec 06 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.5-1qilnx
- update to version 1.5 by autospec
- removed enable-freetype2 option because it conflicts with xft requirement
- built with libpango

* Thu Sep 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.7-1qilnx
- update to version 1.0.7 by autospec
- also fix several security issues QSA-2005-110

* Sun Aug 14 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-2qilnx
- rebuilt with configure optimized option (don't use mozconfig file)

* Thu Aug 11 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.6-2qilnx
- fixed %%post scripts

* Mon Aug 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.6-1qilnx
- update to version 1.0.6 by autospec

* Fri May 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-2qilnx
- remove the list of internal provides

* Fri May 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- update to version 1.0.4 by autospec
- also fix security issues QSA-2005-069

* Sun Apr 17 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- update to version 1.0.3 by autospec

* Thu Mar 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- new version build
- added i18n packages

* Wed Nov 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-4qilnx
- rebuild with both en-US and it-IT localizations

* Wed Nov 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-3qilnx
- added italian localization (now it is in official CVS)

* Tue Nov 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-2qilnx
- added localizations (but italian is not in CVS)
- added xft support

* Tue Nov 09 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1qilnx
- new version build

* Mon Oct 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc1-1qilnx
- new version build

* Mon Oct 04 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1qilnx
- new version build (security release)

* Wed Sep 15 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10-1qilnx
- new version build (also tagged as 1.0PR)

* Mon Jul 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2-1qilnx
- new version build

* Wed Jun 30 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-1qilnx
- new version build

* Sun Jun 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-1qilnx
- new version build

* Thu May 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-1qilnx
- new version build (renamed to mozilla-firefox)

* Tue Dec 16 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7-1qilnx
- first build
